Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        desktop icon manager.
Name:      	idesk
Version:   	0.7.5
Release:   	1
Provides:	idesk
License: 	GNU/GPL
URL:		http://idesk.sourceforge.net
Group:     	Graphical Desktop/Other
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.7.4-icon.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	imlib2
Requires: 	startup-notification
BuildRequires:	imlib2-devel	 
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXft-devel
BuildRequires:  libXrender-devel
BuildRequires:  glibc-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel


%description
iDesk gives users of minimal wm's (fluxbox, pekwm, windowmaker...)
icons on their desktop. The icon graphics are either from a png or svg (vector)
file and support some eyecandy effects like transparency. Each icon can be
confgured to run one or more shell commands and the actions which run those
commands are completely configurable. In a nutshell if you want icons on your
desktop and you don't have or dont't want KDE or gnome doing it, you can use idesk.

%prep
%setup -n %{name}-%{version}
%patch -p1

%build
./configure --prefix=%_prefix
make 

%install
make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Sep 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.7.5-1
- Version Update
* Tue Nov 01 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.7.4-1
- Initial Release
